import { jsx as i } from "@emotion/react/jsx-runtime";
import { StepContentStyled as n } from "../../../../slots/StepperSlot.js";
import { useIsStepVisible as p } from "./hooks/useIsStepVisible.js";
function c(t) {
  const { stepKey: e, children: o } = t, r = p({ stepKey: e });
  return /* @__PURE__ */ i(n, { ownerState: { isStepVisible: r }, children: o });
}
export {
  c as Step
};
